/*
     

  4 MHz
*/
.Device Attiny2313 ;  
.Include "2313def.inc" ;      

;========== ==============
/*
       def  
  
*/
;   1 Sec 58593 hex $E4E1
.equ Sekunda=$E1
.equ Delitel=0b00000010
/*							0b00000000	-	stop timer
							0b00000001	-	 
							0b00000010	-	 /8
							0b00000011	-	 /64
							0b00000100	-	 /256
							0b00000101	-	 /1024
							0b00000110	-	External pin t1, faling edge
							0b00000111	-	External pin t1, rising edge*/
.def temp = r16 		;  
.def TimeH = r17	;   
.def TimeM = r18	;   
.def TimeS = r19	;   


;======================================================
rjmp RESET				;  ,    ,     
rjmp INTO				;       INTO
rjmp EXT_INT1			;       INT1
rjmp TIM1_CAPT			;    / 1
rjmp TIM1_COMPA			;    / 1.  
rjmp TIM1_OVF			;    / 1
rjmp TIM_0				;    / 0
rjmp USARTO_RX			; USARTO,  
rjmp USARTO_UDRE		; USARTO   
rjmp USARTO_TX			; USARTO,  
rjmp ANALOG_COMP		;    
rjmp EXT_PCINT			;       
rjmp TIMER1_COMPB		;    / 1.  
rjmp TIMERO_COMPA		;    / 0.  
rjmp TIMERO_COMPB		;    / 0.  
rjmp USI_START			;   USI.   
rjmp USI_OVERFLOW		;   USI, 
rjmp ROMREDY			;  EEPROM
rjmp WDT_OVERFLOW		;   
;====================================================================
;===========    =====================
;RESET:				;  ,    ,     
INTO:				;       INTO
EXT_INT1:			;       INT1
TIM1_CAPT:			;    / 1
TIM1_COMPA:			;    / 1.  
TIM1_OVF:			;    / 1
TIM_0:				;    / 0
USARTO_RX:			; USARTO,  
USARTO_UDRE:		; USARTO   
USARTO_TX:			; USARTO,  
ANALOG_COMP:		;    
EXT_PCINT:			;       
TIMER1_COMPB:		;    / 1.  
TIMERO_COMPA:		;    / 0.  
TIMERO_COMPB:		;    / 0.  
USI_START:			;   USI.   
USI_OVERFLOW:		;   USI, 
ROMREDY:			;  EEPROM
WDT_OVERFLOW:		;   
RETI

;=========================================================
RESET:
ldi temp,low(RAMEND) 		;   
out SPL,temp				;   
;ldi temp,high(RAMEND) 		;        mega
;out SPH,temp

;    
ldi temp,0b1111111
clr TimeH
clr TimeM
clr TimeS

out DDRD,Temp				;   D    
ldi temp,0b11110000			;   B pb0-3 -(); pb4-7 
out DDRB,temp
ldi temp,0b00001111			;   
out PortB,temp

;    1111111
clr temp
ReadBits:			;   595 
cpi temp,8
breq EndReadBits
sbi PortD,PD1			;   DS  1
sbi PortD,PD0			;  DS  SH_CP
cbi PortD,PD0			;   DS  SH_CP
cbi PortD,PD1			;  DS
inc Temp				;    1 
rjmp ReadBits

EndReadBits:
sbi PortD,PD2			;     ( 595 )
cbi PortD,PD2

sbi PortD,PD3			;   
;sbi PortD,PD4			;   
sbi PortD,PD5			;   
;sbi PortD,PD6			;   
;****************************************************
;  
;****************************************************
Inf:      rjmp Inf              ; 
